<div class="row">
  <div class="col-md-6 text-right searchbar" style="position: absolute;right: 6px;top: 8px;">
    <form>
      <input type="text" name="search" class="form-control" [(ngModel)]="order_Search" placeholder="Search..." autocomplete="off">
      <i class="fa fa-search" (click)="onSearchBtnClick()"></i>
    </form>
  </div>
</div>

<ng-container>
  <div class="row">
    <div class="col-md-12 noPadding_mobile">
      <div class="Gig_table">
        <kendo-grid [data]="griddata" [height]="gridHeight" [pageSize]="pageSize" [skip]="state.skip" [sort]="sort"
        [sortable]="{ allowUnsort: true,mode:  'single'}" (sortChange)="sortChange($event)"
        [filter]="state.filter" [pageable]="true" scrollable="true" [resizable]="true" [reorderable]="true"
        (pageChange)="pageChange($event)" (dataStateChange)="dataStateChange($event)">
  
        <kendo-grid-column field="order_date" title="ORDER DATE" [headerStyle]="{'height':'40px','width':'110px'}"
        [style]="{'width':'110px'}">
        <ng-template kendoGridCellTemplate let-idx="dataItem" let-i="rowIndex">
          <div class="row">
            <div class="col-md-12 row_padding noPadding_mobile">
              <h6 class="table_heading_name trade_font">{{idx.created_date|date:'dd MMM yyyy'}}</h6>
            </div>
          </div>
        </ng-template>
      </kendo-grid-column>

      <kendo-grid-column field="order_no" title="ORDER NO" [headerStyle]="{'height':'40px','width':'130px'}"
      [style]="{'width':'130px'}">
      <ng-template kendoGridCellTemplate let-idx="dataItem" let-i="rowIndex">
        <div class="row">
          <div class="col-md-12 row_padding noPadding_mobile">
            <h6 class="table_heading_name trade_font">{{idx.order_no}}</h6>
          </div>
        </div>
      </ng-template>
    </kendo-grid-column>
  
      <kendo-grid-column field="gigname" title="GIG NAME" [headerStyle]="{'height':'40px','width':'220px'}"
      [style]="{'width':'220px'}">
      <ng-template kendoGridCellTemplate let-idx="dataItem" let-i="rowIndex">
        <div class="row">
          <div class="col-md-12 row_padding noPadding_mobile">
            <h6 class="table_heading_name trade_font"><a href="javascript:void(0)" style="color: #19b5fe !important;" (click)="openOrderDetail(idx.id)">{{idx.gig.title}}</a></h6>
          </div>
        </div>
      </ng-template>
    </kendo-grid-column>
      
        <kendo-grid-column field="buyer" title="BUYER" [headerStyle]="{'height':'40px','width':'110px'}"
        [style]="{'width':'110px'}">
        <ng-template kendoGridCellTemplate let-idx="dataItem" let-i="rowIndex">
          <div class="row">
            <a href="javascript:void(0)" class="col-md-12 row_padding noPadding_mobile" (click)="onBuyerClick(idx.buyer.id)">
              <h6 class="table_heading_name trade_font" style="color: #19b5fe !important;">{{idx.buyer.user_name}}</h6>
            </a>
          </div>
        </ng-template>
      </kendo-grid-column>
  
        <!-- <kendo-grid-column field="order_Id" title="Order ID" [headerStyle]="{'height':'40px','width':'5%'}"
          [style]="{'width':'5%'}">
          <ng-template kendoGridCellTemplate let-idx="dataItem">
            <div class="row">
              <div class="col-md-12 row_padding">
                <h6 class="table_heading_name trade_font">{{idx.id}}</h6>
              </div>
            </div>
          </ng-template>
        </kendo-grid-column> -->
  
        <!-- <kendo-grid-column field="seller" title="Seller"
          [headerStyle]="{'height':'40px','width':'15%'}" [style]="{'width':'15%'}">
          <ng-template kendoGridCellTemplate let-idx="dataItem">
            <div class="row">
              <div class="col-md-12 row_padding">
                <h6 class="table_heading_name trade_font">{{idx.seller?.user_name}}</h6>
              </div>
            </div>
          </ng-template>
        </kendo-grid-column> -->
  
        <kendo-grid-column field="due_date" title="DUE DATE" [headerStyle]="{'height':'40px','width':'115px'}"
        [style]="{'width':'115px'}">
        <ng-template kendoGridCellTemplate let-idx="dataItem">
          <div class="row">
            <div class="col-md-12 row_padding noPadding_mobile">
              <h6 class="table_heading_name trade_font">{{idx.due_date|date:'dd MMM yyyy'}}</h6>
            </div>
          </div>
        </ng-template>
      </kendo-grid-column>
  
      <!-- <kendo-grid-column field="delivered_on" title="DELIVERED ON" [headerStyle]="{'height':'40px','width':'115px'}"
        [style]="{'width':'115px'}">
        <ng-template kendoGridCellTemplate let-idx="dataItem">
          <div class="row">
            <div class="col-md-12 row_padding noPadding_mobile">
              <h6 class="table_heading_name trade_font">{{idx.delivered_date|date:'dd MMM yyyy'}}</h6>
            </div>
          </div>
        </ng-template>
      </kendo-grid-column> -->
  
        <kendo-grid-column field="amount" title="AMOUNT" 
          [headerStyle]="{'height':'40px','width':'90px', 'text-align':'center'}" [style]="{'width':'90px','text-align':'center'}">
          <ng-template kendoGridCellTemplate let-idx="dataItem">
            <div class="row">
              <div class="col-md-12 row_padding noPadding_mobile">
                <h6 class="table_heading_name trade_font"> {{idx.amount | currency: 'INR':'symbol':'1.0-0'}}</h6>
              </div>
            </div>
          </ng-template>
        </kendo-grid-column>
  
        <!-- <kendo-grid-column field="order_status" title="ORDER STATUS" 
          [headerStyle]="{'height':'40px','width':'140px','text-align':'right'}" [style]="{'width':'140px','text-align':'right'}">
          <ng-template kendoGridCellTemplate let-idx="dataItem">
            <h6 class="table_heading_name trade_font" style="margin-bottom: 0px;"><span class="{{idx.property}}">
              {{idx.order_status?.order_status_name}}
            </span></h6>
          </ng-template>
        </kendo-grid-column> -->
    
      </kendo-grid>
      </div>
    </div>
  </div>
  
  </ng-container>